> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/changelogs/version-9/v9-4-2.md).

# Version 9.4.2 Changelog (December 22, 2022)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 9.4.2

Release Date: December 22, 2022

## Notes

This release of Apryse for Xamarin brings the core PDF functionality and iOS and Android Tools functionality inline with version 9.4.2 of the Android SDK. More information can be found on [What's New for Android](/android/changelogs/version-9/v9-4-2.md).

## Xamarin.Android

### New Features

* New API added to disable document loupe `ToolManagerBuilder.setLoupeEnabled`
* New API added to change free text note toggle color `ToolManager.setFreeTextToggleButtonColorInt`
* New API to disable comment edit `ReplyFragmentBuilder.setDisableCommentEdit`
* New API added to change page label background color in Thumbnails view `ThumbnailsViewFragment.setActivePageLabelBackgroundColor` and `ThumbnailsViewFragment.setPageLabelBackgroundColor`
* Added new listener for custom hasPermissions logic in ToolManager `ToolManager.setAnnotationPermissionListener`
* Added onInterceptAnnotationHandling to deleteAnnot and flattenAnnot events
* Two new APIs added to set fixed stamp width and height `Stamper.getAbsoluteStampWidth()` and `Stamper.getAbsoluteStampHeight()`

### Bug Fixes

* Fixed issue for free text annotation not properly behaving when rotating 45 degrees
* Fixed an issue where quick menu item did not appear disabled when being disabled
* Fixed issue where German translation is incorrect in line start/line end dialog


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/changelogs/version-9/v9-4-2.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
